Bug 118819 - Setting up logical volume management hangs
Setting up logical volume management hangs
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
rawhide
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Alasdair Kergon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-20 21:18 EST by Per Olausson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-07 12:03:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Per Olausson 2004-03-20 21:18:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5)
Gecko/20031007

Description of problem:
SCSI only.
Three disks, only sda used for install. sdb, sdc unused.
/boot using ext3.
LVM2 used for the remainder of sda.
JFS used for all partitions.

Volume group named rootvg, all JFS volumes named lvroot, lvusr etc.

Boot goes well until:

"Setting up logical volume management:"

There it stops and hangs indefinitely.

CTRL-C several times later I am able to login, and LVM is not working
properly. Filesystems listed as mounted, but not really there.

Only lvroot mounted on / as well as /boot and /dev/shm.

mount -a fails.

Investigated status of /dev devices. 

Could only find /dev/rootvg/lvroot there, all others missing.

Ran lvm vgmknodes.

mount -a runs but doesn't do anything useful. All filesystems listed
as mounted, but they are all from the root volume.

Unmount all filesystems, then ran mount -a.

All filesystems appear and look ok.

The system behaves the same way everytime rebooted.

Version-Release number of selected component (if applicable):
2.00.08

How reproducible:
Always

Steps to Reproduce:
1. Restart system

    

Actual Results:  System restarts but then hangs.

Expected Results:  System completes startup successfully.

Additional info:
Comment 1 Per Olausson 2004-03-20 21:19:21 EST
Eventually X tries to start up but that doesn't work properly either.
Comment 2 Stephen Tweedie 2004-03-22 10:48:30 EST
Have you tried with lvm2-2.00.08-5?  That should include code to
prevent lvm2 from trying to scan for logical volumes on non-existent
devices during boot.
Comment 3 Per Olausson 2004-03-25 17:47:53 EST
No I haven't, is that package available from some place for the latest
test image?
Comment 4 Stephen Tweedie 2004-03-25 18:22:48 EST
Yes, it is in rawhide, at
ftp://download.fedora.redhat.com/pub/fedora/linux/core/development

Comment 5 Per Olausson 2004-04-07 12:03:43 EDT
Problem solved in latest lvm2 package...

Note You need to log in before you can comment on or make changes to this bug.